<%
/**
 * <pre>
 * @Class Name : initPasswordForm.jsp
 * 
 * @Description : 비밀번호 초기화
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 7. 12.    JSYOO       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP JSYOO
 * @since 2021. 7. 12.
 * @version 1.0
 *
 */
 %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<script>
$(document).ready(function() {
	var previousPage ="${loginVO.previousPage}";
	if(previousPage == "alreadySignUpPopup")
	{
		document.getElementById("cancle").setAttribute("onClick", "fn_cancle()");
	}else
	{
		document.getElementById("cancle").setAttribute("onClick", "fn_closeLayerPopup()");
	}
		
});

var mailDoubleSubmitFlag = false;
function goFindPw(){
	if(mailDoubleSubmitFlag)
    {
        alert("메일 전송중입니다. 잠시만 기다려주세요.");
        return false;    
    }
    var data = $("form[name=initPw]").serialize();
    var regExp = /^[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*.[a-zA-Z]{2,3}$/i;
    if($("#initPw [name=email]").val() == "")
   	{
    	$("#initPw [name=email]").focus();
     	alert("이메일을 입력해주세요.");
        return false;     	
   	}
    if(!regExp.test($("#initPw [name=email]").val()))
   	{
    	$("#initPw [name=email]").focus();
     	alert("이메일을 다시 확인해주세요. (예: example@mail.com)");
     	return false;
   	}
    mailDoubleSubmitFlag = true;
    	$.ajax({
            url : "${pageContext.request.contextPath}/member/initPassword.ajax",
            type : "POST",
            data : data,
            success : function(result){
            	mailDoubleSubmitFlag = false;
                if(result == "success")
               	{
                	alert("입력하신 이메일로 임시 비밀번호가 발송되었습니다. 메일을 확인해주세요.");
                	var previousPage ="${loginVO.previousPage}";
                    if(previousPage == "alreadySignUpPopup")
                    {
                        document.initPw.action="${pageContext.request.contextPath}/member/selectAlreadySignUpMobilePopup.do";
                        fn_layerPopFormSubmit("initPw",false);
                    }else{
                    	fn_closeLayerPopup();
                    }
                    
               	}
                else if(result == "fail")
               	{
	               alert("일치하는 정보가 없습니다. 다시 확인해주세요.");
               	}
                else if(result == "templateFail")
               	{
	               alert("이메일 발송에 실패하였습니다. 관리자에게 문의하여 주시기 바랍니다.");
               	}
                
                },error : function(){
               	mailDoubleSubmitFlag = false;
                alert("이메일 발송에 실패하였습니다. 관리자에게 문의하여 주시기 바랍니다.");
            }
        })
    
}
function fn_cancle()
{
    document.initPw.action="${pageContext.request.contextPath}/member/selectAlreadySignUpMobilePopup.do";
    fn_layerPopFormSubmit("initPw",false);
}
</script>
    <div class="pop-find">
	    <form id="initPw" name="initPw" method="post">
	    <input type="hidden" id="mbInfoId" name="mbInfoId" value="${loginVO.mbInfoId }">
	    <input type="hidden" id="nameTemp" name="nameTemp" value="${loginVO.nameTemp }">
	    <input type="hidden" id="emailTemp" name="emailTemp" value="${loginVO.emailTemp }">
	    <input type="hidden" id="mobileNo" name="mobileNo" value="${loginVO.mobileNo }">
	    <input type="hidden" id="previousPage" name="previousPage" value="${loginVO.previousPage}">
        <div class="row Title">
            <p>내 정보</p>
            <h3>비밀번호 찾기</h3>
        </div>
        <div class="inner">
            <div class="row Text">
                <p>이메일 정보가 확인되면 해당 메일로<br><span>임시비밀번호</span>를 보내드립니다.</p>
            </div>
            <div class="row find">
                <p><input type="text" name="email" placeholder="example@mail.com" class="find-input" onKeypress="javascript:if(event.keyCode==13) {goFindPw();}"/></p>
                <p class="text">-  임시 비밀번호가 발급된 후 [마이페이지 &gt; 회원정보관리 &gt; 내 정보]에서 비밀번호를 수정해주세요.</p>
            </div>
            <div class="row btn-box">
                <button type="button" class="btn btn-color" onclick="goFindPw();">확인</button>
                <button type="button" class="btn btn-gray close" id="cancle">취소</button> 
            </div>
            <button type="button" class="find-close" onclick="fn_closeLayerPopup();"></button>
        </div>
        <div class="Bg"></div>
        </form>
    </div>

